From 8e8d8fc6f984d0e969f42a5703613b22d3bbd86d Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 9 Oct 2024 20:45:03 +0700
Subject: [PATCH 10/10] No netlink on macOS

---
 src/mm-netlink.c  | 4 ++++
 src/mm-port-net.c | 4 ++++
 2 files changed, 8 insertions(+)

diff --git a/src/mm-netlink.c b/src/mm-netlink.c
index 3f85ee6d..f331de14 100644
--- a/src/mm-netlink.c
+++ b/src/mm-netlink.c
@@ -34,6 +34,8 @@
 #include "mm-utils.h"
 #include "mm-netlink.h"
 
+#ifndef __APPLE__
+
 struct _MMNetlink {
     GObject parent;
     /* Netlink socket */
@@ -462,3 +464,5 @@ mm_netlink_class_init (MMNetlinkClass *klass)
 MM_DEFINE_SINGLETON_GETTER (MMNetlink, mm_netlink_get, MM_TYPE_NETLINK);
 
 /* ---------------------------------------------------------------------------------------------------- */
+
+#endif
diff --git a/src/mm-port-net.c b/src/mm-port-net.c
index f1122ef6..0bd2518e 100644
--- a/src/mm-port-net.c
+++ b/src/mm-port-net.c
@@ -50,6 +50,8 @@ mm_port_net_link_setup_finish (MMPortNet     *self,
     return g_task_propagate_boolean (G_TASK (res), error);
 }
 
+#ifndef __APPLE__
+
 static void
 netlink_setlink_ready (MMNetlink    *netlink,
                        GAsyncResult *res,
@@ -95,6 +97,8 @@ mm_port_net_link_setup (MMPortNet            *self,
                         task);
 }
 
+#endif
+
 /*****************************************************************************/
 
 MMPortNet *
-- 
2.46.1

